menu = gamestate.new()


function menu:init()
end

function menu:enter(previous)
	currentGamestate = 'menu'
	
	-- Draw black background
	love.graphics.setBackgroundColor(0, 0, 0)
	
	-- Group defaults
	gui.group.default.size[1] = 140 -- button width
	gui.group.default.size[2] = 40  -- button height
	gui.group.default.spacing = 5  -- button spacing
end

function menu:leave()
end

function menu:update(dt)
	gui.group.push{grow = "down", pos = {love.graphics.getWidth()/2 - gui.group.default.size[1]/2, love.graphics.getHeight()/2 - gui.group.default.size[2]/2}}

	love.graphics.setFont(font)
	
	if gui.Button{text = "Play"} then
		gamestate.switch(ingame)
	end
	if gui.Button{text = "Quit"} then
		love.event.quit()
	end
end

function menu:draw()
end

function menu:focus(bool)
end

function menu:keypressed(key, unicode)
	-- Switches to menu gamestate
	if key == 'm' then
		gamestate.switch(ingame)
	end
end

function menu:keyreleased(key, unicode)
end

function menu:mousepressed(x,y, button)
end

function menu:mousereleased(x,y, button)
end

function menu:quit()
end
