local entity = entities.derive('unit')

function entity:load(x,y)
	self:setSpeed(50)
	self:setSight(50)
	self:setHealth(100,10)
	
	self:setImage('naked')
end

function entity:update(dt)
	self:moveToTarget(dt)
end

function entity:draw()
	local x,y = self:getPos()
	local w,h = self:getSize()
	local iw,ih = self.image:getWidth(), self.image:getHeight()
	
	if self:getTeam() == 1 then
		love.graphics.setColor(0,0,255,255)
	elseif self:getTeam() == 2 then
		love.graphics.setColor(255,0,0,255)
	end
	love.graphics.draw(self.image, x,y, 0, w/iw, w/ih)
end

return entity
